Package org.bukkit.block

# Interface SculkSensor

All Superinterfaces:
  `BlockState`, `Metadatable`, `PersistentDataHolder`, `TileState`

public interface SculkSensor extends TileState
Represents a captured state of a sculk sensor

## Method Summary

Modifier and Type
Method
Description
`int`
`getLastVibrationFrequency()`
Gets the last vibration frequency of this sensor.
`void`
`setLastVibrationFrequency(int lastVibrationFrequency)`
Sets the last vibration frequency of this sensor.

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer`

## Method Details

### getLastVibrationFrequency

int getLastVibrationFrequency()
Gets the last vibration frequency of this sensor. Different activities detected by the sensor will produce different frequencies and dictate the output of connected comparators.

Returns:
  frequency between 0-15.

### setLastVibrationFrequency

void setLastVibrationFrequency(int lastVibrationFrequency)
Sets the last vibration frequency of this sensor. Different activities detected by the sensor will produce different frequencies and dictate the output of connected comparators.

Parameters:
  `lastVibrationFrequency` - frequency between 0-15.